Texture Object

Functions
Texture Object
Evas » Evas 3D Extensions

A texture object is an image represents material of surfaces. More...

## Functions
EOAPI void | evas_canvas3d_texture_source_visible_set (Eina_Bool visible)
| Set the visibility flag of the source evas object of the given texture. More...
EOAPI Eina_Bool | evas_canvas3d_texture_source_visible_get (void)
| Get the visibility flag of the source evas object of the given texture. More...
EOAPI void | evas_canvas3d_texture_atlas_enable_set (Eina_Bool use_atlas)
| Set enable flag to generation texture unit with support atlas. More...
EOAPI Eina_Bool | evas_canvas3d_texture_atlas_enable_get (void)
| Get enable flag of generation texture unit with support atlas. More...
EOAPI void | evas_canvas3d_texture_data_set (Evas_Colorspace color_format, int w, int h, const void *data)
| Set the data of the given texture. More...
EOAPI void | evas_canvas3d_texture_file_set (const char *file, const char *key)
| Set the data of the given texture from file. More...
EOAPI void | evas_canvas3d_texture_source_set (Evas_Object *source)
| Set the data of the given texture from an evas object. More...
EOAPI Evas_Colorspace | evas_canvas3d_texture_color_format_get (void)
| Get the color format of the given texture. More...
EOAPI void | evas_canvas3d_texture_size_get (int *w, int *h)
| Get the size of the given texture. More...
EOAPI void | evas_canvas3d_texture_wrap_set (Evas_Canvas3D_Wrap_Mode s, Evas_Canvas3D_Wrap_Mode t)
| Set the wrap mode of the given texture. More...
EOAPI void | evas_canvas3d_texture_wrap_get (Evas_Canvas3D_Wrap_Mode *s, Evas_Canvas3D_Wrap_Mode *t)
| Get the wrap mode of the given texture. More...
EOAPI void | evas_canvas3d_texture_filter_set (Evas_Canvas3D_Texture_Filter min, Evas_Canvas3D_Texture_Filter mag)
| Set the filter of the given texture. More...
EOAPI void | evas_canvas3d_texture_filter_get (Evas_Canvas3D_Texture_Filter *min, Evas_Canvas3D_Texture_Filter *mag)
| Get the filter of the given texture. More...

## Detailed Description

A texture object is an image represents material of surfaces.

A texture can be set to a slot of Evas_Canvas3D_Material by using evas_canvas3d_material_texture_set() function. The data of a texture can be loaded from memory, file and other Evas_Object.

## Function Documentation

## ◆ evas_canvas3d_texture_source_visible_set()

EOAPI void evas_canvas3d_texture_source_visible_set | ( | Eina_Bool | visible | ) |

Set the visibility flag of the source evas object of the given texture.

Recommend to call evas_object_show on the source object and control the visibility using this function.

By default, source object is visible.

See also evas_canvas3d_texture_source_set.

Parameters

  [in] | visible | `true` for visible, `false` for invisible.

## ◆ evas_canvas3d_texture_source_visible_get()

EOAPI Eina_Bool evas_canvas3d_texture_source_visible_get | ( | void |  | ) |

Get the visibility flag of the source evas object of the given texture.

Returns
  `true` for visible, `false` for invisible.

## ◆ evas_canvas3d_texture_atlas_enable_set()

EOAPI void evas_canvas3d_texture_atlas_enable_set | ( | Eina_Bool | use_atlas | ) |

Set enable flag to generation texture unit with support atlas.

Use this flag only in case not normalize texture coordinates.

By default, is enabled.

Parameters

  [in] | use_atlas | `true` for enable, `false` for disable.

## ◆ evas_canvas3d_texture_atlas_enable_get()

EOAPI Eina_Bool evas_canvas3d_texture_atlas_enable_get | ( | void |  | ) |

Get enable flag of generation texture unit with support atlas.

Returns
  `true` for enable, `false` for disable.

## ◆ evas_canvas3d_texture_data_set()

EOAPI void evas_canvas3d_texture_data_set | ( | Evas_Colorspace | color_format,
|  | int | w,
|  | int | h,
|  | const void * | data
| ) |  |

Set the data of the given texture.

See also evas_canvas3d_texture_file_set.

Parameters

  [in] | w | Width of the data.
  [in] | h | Height of the data.
  [in] | data | Pointer to the data.

## ◆ evas_canvas3d_texture_file_set()

EOAPI void evas_canvas3d_texture_file_set | ( | const char * | file,
|  | const char * | key
| ) |  |

Set the data of the given texture from file.

Parameters

  [in] | key | Key in the image file.

## ◆ evas_canvas3d_texture_source_set()

EOAPI void evas_canvas3d_texture_source_set | ( | Evas_Object * | source | ) |

Set the data of the given texture from an evas object.

Evas 3D support using existing evas object as a texture source. This feature make it possible using any exisiting evas object inside 3D scene.

See also evas_canvas3d_texture_source_visible_set.

Parameters

  [in] | source | Source evas object to be used as the texture data.

## ◆ evas_canvas3d_texture_color_format_get()

EOAPI Evas_Colorspace evas_canvas3d_texture_color_format_get | ( | void |  | ) |

Get the color format of the given texture.

EVAS_CANVAS3D_COLOR_FORMAT_RGBA will be returned if the texture has source object. Otherwise, the color format of the data will be returned.

See also evas_canvas3d_texture_data_set, evas_canvas3d_texture_file_set, evas_canvas3d_texture_source_set.

## ◆ evas_canvas3d_texture_size_get()

EOAPI void evas_canvas3d_texture_size_get | ( | int * | w,
|  | int * | h
| ) |  |

Get the size of the given texture.

If the texture has source object, the size of the source object will be returned. Otherwise, the size of the data (or image file) will be returned.

See also evas_canvas3d_texture_data_set, evas_canvas3d_texture_file_set, evas_canvas3d_texture_source_set.

Parameters

  [out] | h | Pointer to receive the height of the texture size.

## ◆ evas_canvas3d_texture_wrap_set()

EOAPI void evas_canvas3d_texture_wrap_set | ( | Evas_Canvas3D_Wrap_Mode | s,
|  | Evas_Canvas3D_Wrap_Mode | t
| ) |  |

Set the wrap mode of the given texture.

If the texture coordinate exceed range [0.0, 1.0] the values are modified according to the wrap mode.

Default wrap modes are both EVAS_CANVAS3D_WRAP_MODE_CLAMP for s and t.

Parameters

  [in] | t | Wrap mode for T-axis.

## ◆ evas_canvas3d_texture_wrap_get()

EOAPI void evas_canvas3d_texture_wrap_get | ( | Evas_Canvas3D_Wrap_Mode * | s,
|  | Evas_Canvas3D_Wrap_Mode * | t
| ) |  |

Get the wrap mode of the given texture.

See also evas_canvas3d_texture_wrap_set.

Parameters

  [out] | t | Pointer to receive T-axis wrap mode.

## ◆ evas_canvas3d_texture_filter_set()

EOAPI void evas_canvas3d_texture_filter_set | ( | Evas_Canvas3D_Texture_Filter | min,
|  | Evas_Canvas3D_Texture_Filter | mag
| ) |  |

Set the filter of the given texture.

Default filters are both EVAS_CANVAS3D_TEXTURE_FILTER_NEAREST for s and t.

Parameters

  [in] | mag | Magnification filter used when up-scaling.

## ◆ evas_canvas3d_texture_filter_get()

EOAPI void evas_canvas3d_texture_filter_get | ( | Evas_Canvas3D_Texture_Filter * | min,
|  | Evas_Canvas3D_Texture_Filter * | mag
| ) |  |

Get the filter of the given texture.

See also evas_canvas3d_texture_filter_set.

Parameters

  [out] | mag | Pointer to receive the magnification filter.